ubuntu/+source/python-qt4:ubuntu/saucy-devel

Last commit made on 2013-09-22
Get this branch:
git clone -b ubuntu/saucy-devel https://git.launchpad.net/ubuntu/+source/python-qt4
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/saucy-devel
Repository:
lp:ubuntu/+source/python-qt4

Recent commits

1130265... by Jonathan Riddell on 2013-09-20

Import patches-unapplied version 4.10.3-1ubuntu1 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 3736d8e77e7eff67fb3a14bbca7f7ef110dc8a0e

New changelog entries:
  * Add patch qreal_float_support.diff back to add back QList<double> code

3736d8e... by Scott Kitterman on 2013-08-22

Import patches-unapplied version 4.10.3-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 102b2ceb726afaa32fb8fa54be1fbd9b9f5c5aa0

New changelog entries:
  * New upstream release
    - Bump minumum build-dep version for python/3-sip to 4.15
    - Remove debian/patches/qreal_float_support.diff, alternate solution
      implemented upstream
    - Refresh patches
  * Bump minimum version for python/3-all-dev to those that support the
    simplified build target introduced in the last upload. (Closes: #718733)

102b2ce... by Scott Kitterman on 2013-08-03

Import patches-unapplied version 4.10.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 310826a145fd4ff2a34114f3273043ea78c03c06

New changelog entries:
  [ Dmitry Shachnev ]
  * Update dh_compress arguments so that pagefold.qss and wordlist.txt
    (in python-qt4-doc examples) are not compressed.
  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add autopkg test, to check that at least a basic import works, should
      catch API version changes in sip4.
    - Unify build targets across py2 & 3, both now multiarched and python3.2
      is not supported

310826a... by Scott Kitterman on 2013-06-07

Import patches-unapplied version 4.10.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d2f94ceafd7dd134cf05b2f1efcaa0f34225fc1c

New changelog entries:
  * New upstream release
  * Add build-conflicts python3.2-dev << 3.2.3-8~ due to need for
    python3.2-config to support the --configdir option (avoids adding a
    python3.2 specific build-dep) (Closes: #711457)
  * Switch python2.7-dev specific build-depends to versioned build-conflict on
    older versions for the same reasons as python3.2-dev
  * Remove obsolete Build-conflicts on python-xml and python-xml-dbg

d2f94ce... by Scott Kitterman on 2013-05-16

Import patches-unapplied version 4.10.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bfc8e714ed5e8666b9999e20b5e42263c6182ae9

New changelog entries:
  * Upload to unstable
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  [ Dmitrijs Ledkovs ]
  * Fix compiling Qt Designer plugin with multiarched python.
  * Enable DEB_BUILD_OPTIONS compliant parallel build.
  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/rules to work with python3.2 and 3.3 (Closes: #707157)
    - Bump minimum required sip4 build-dep versions to 4.14.4
  * Adjust pyqtconfig.py references in debian/python3-pyqt4.install to cover
    all variants now shipped
  * Fix find command in install-arch so pyqtconfig files for debug packages
    aren't removed
  * Additional minor cleanups to get files installed properly for pyqtconifg
     and .so files in python3-dbus.mainloop.qt/-dbg
  * Add debian/patches/config_extra_headers.diff so additional header
    directories used in python3.3 due to multiarch are found during build
  * Update debian/rules to account for different layout of python3.3 in
    anicipation of multiarched python3.3
  * Add specific build-dep on python2.7-dev >=2.7.5-2~ for python2.7-config
    configdir support
  * Update python3-all-dev minimum version due to bug fixes in 3.2.3-6 for
    building with multiple python3 versions
  * Generate a multi-version pyqtconfig.py for python3 variants to account
    for multiple files installed into the same directory as is done with
    sipconfig in python3-sip (Closes: #707734)
  * Add removal of qpy/QtCore/qpycore_post_init.cpp to clean rule
  * Drop unused python:Provides
  * Bump standards version to 3.9.4 without further change
  [ Steve Langasek ]
  * Fine adjustments to debian/rules

bfc8e71... by Scott Kitterman on 2012-12-10

Import patches-unapplied version 4.9.6-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: f0dc75bc1c8e292e2e591ef78f0b565b1d027ca6

New changelog entries:
  * New upstream release

f0dc75b... by Scott Kitterman on 2012-10-01

Import patches-unapplied version 4.9.5-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: b2b2371282394817978127f86199a15ae698538d

New changelog entries:
  * New upstream release
    - Bump minimum python-sip-dev and python3-sip-dev versions to 4.14
    - Drop debian/patches/pyuic_custom_widget.diff (it was a cherrypick from
      upstream and is included in this version)

b2b2371... by Scott Kitterman on 2012-07-24

Import patches-unapplied version 4.9.3-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 55d9312afb567f5a6f6c6a6d5a5db2d6cc128730

New changelog entries:
  * Add -N pyqt4-dev-tools to the dh_python3 invocation so dh_pyton3 will
    leave pyqt4-dev-tools alone and not rewrite it's shebang to
    /usr/bin/python3 (Closes: 682623)

55d9312... by Scott Kitterman on 2012-07-14

Import patches-unapplied version 4.9.3-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0d9f9bfa0f6f67c3fd4555f5b3576ff272e533b7

New changelog entries:
  * Add debian/patches/pyuic_custom_widget.diff from upstream to fix custom
    widget detection and prevent other packages from FTBFS (Closes: #680837)

0d9f9bf... by Scott Kitterman on 2012-07-05

Import patches-unapplied version 4.9.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f5eac8a7b36cb164374185f54d57ed3687759956

New changelog entries:
  * Revert dropping of python:Provides for python-qt4 (Closes: #679819)
    - Needed by python-avogadro